## AgsScrolledScaleBox

AgsScrolledScaleBox — scrolled scale box widget

## Stability Level

Stable, unless otherwise indicated

## Functions

GtkScrolledWindow * | ags_scrolled_scale_box_get_scrolled_window ()
AgsScaleBox * | ags_scrolled_scale_box_get_scale_box ()
AgsScrolledScaleBox * | ags_scrolled_scale_box_new ()

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkGrid
                    ╰── AgsScrolledScaleBox

## Includes

    #include <ags/widget/ags_scrolled_scale_box.h>

## Description

The AgsScrolledScaleBox lets you to have a scrolled scale box widget.

## Functions

### ags_scrolled_scale_box_get_scrolled_window ()

    GtkScrolledWindow *
    ags_scrolled_scale_box_get_scrolled_window
                                   (AgsScrolledScaleBox *scrolled_scale_box);

Get scrolled_window of `scrolled_scale_box` .

#### Parameters

scrolled_scale_box | the AgsScrolledScale_Box |

#### Returns

the GtkScrolled_Window.

[transfer none]

Since: 4.0.0

### ags_scrolled_scale_box_get_scale_box ()

    AgsScaleBox *
    ags_scrolled_scale_box_get_scale_box (AgsScrolledScaleBox *scrolled_scale_box);

Get scale box of `scrolled_scale_box` .

#### Parameters

scrolled_scale_box | the AgsScrolledScale_Box |

#### Returns

the AgsScaleBox.

[transfer none]

Since: 4.0.0

### ags_scrolled_scale_box_new ()

    AgsScrolledScaleBox *
    ags_scrolled_scale_box_new ();

Create a new AgsScrolledScaleBox.

#### Returns

a new AgsScrolledScaleBox

Since: 3.0.0